#ifndef LED_H_
#define LED_H_

#include "main.h"

// Strukt fr Led mit Kathode und Anode
typedef struct
{
	int kathode, anode;
} Led;

// Strukt fr RGB Led mit 3 Leds, PWM Werten und boolschen Modus
typedef struct
{
	volatile bool mode;
	Led r_led, g_led, b_led;
	volatile uint8_t r_pwm, g_pwm, b_pwm;
} RGBLed;

// Array der RGB-Leds
extern volatile RGBLed* leds[];

extern volatile uint8_t pwm_counter;

// Methoden

void createMatrix(void);
Led* newLed(int anode, int kathode);
RGBLed* newRGBLed(Led *r, Led *g, Led *b);
void setLedMode(int led, bool on);
void setLedColor(int led, uint8_t r, uint8_t g, uint8_t b);
void turnOnLed(Led led);
void turnOnLeds(void);
void turnOffLeds(void);
void loopColors(void);
void checkLedPWM(void);

#endif /* LED_H_ */