#ifndef MAIN_H_
#define MAIN_H_

#include <asf.h>

#ifndef F_CPU
#define F_CPU 3686400UL // Taktfrequenz des externen OSC
#endif

#ifndef BAUD
#define BAUD 9600UL // BAUD-Rate des Bluetooth-Moduls
#endif

#ifndef LED_COUNT
#define LED_COUNT 16 // Anzalh der RGB Leds
#endif

// Segment Positionen
extern volatile uint8_t		segmentsPosition;

//Timer-Variablen
extern volatile uint16_t	counter;	//Zhler fr Umrundungsdauer des Timer 1
extern volatile uint16_t	cmpValue;
extern volatile uint16_t	lastInterrupt;
extern volatile uint8_t		overflowCnt;	//Anzahl wie oft ein berlauf stattgefunden hat
extern volatile uint8_t		overflowTimer0Cnt;
extern volatile uint8_t		timeFactorForSeconds;

//Zeitlogik
extern volatile uint8_t		seconds;
extern volatile uint8_t		minutes;
extern volatile uint8_t		hours;

// Counter fr DigitalUhr
extern volatile uint8_t		cntDigital;

// Boolsche Variablen fr Uhr-Modi
extern volatile bool		isDigitialClockEnabled;
extern volatile bool		isPacManStyleEnabled;
extern volatile bool		isPacManEating;

// Methoden

void init(void);
void resetRegisters(void);
void setTime(void);
void turnOnOuterRing(void);
void enablePacManStyle(void);

#endif /* MAIN_H_ */